org.apache.ignite.internal.processors.cache.jta

## Class CacheNoopJtaManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.jta.CacheJtaManagerAdapter
    - - org.apache.ignite.internal.processors.cache.jta.CacheNoopJtaManager

All Implemented Interfaces:
  GridCacheSharedManager

    public class CacheNoopJtaManager
    extends CacheJtaManagerAdapter

No-op implementation of `CacheJtaManagerAdapter`.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, log`

### Constructor Summary

Constructors
Constructor and Description
`CacheNoopJtaManager()`

### Method Summary

Methods
`void` `checkJta()` Checks if cache is working in JTA transaction and enlist cache as XAResource if necessary.
`void` `registerCache(CacheConfiguration<?,?> cfg)`
`Object` `tmLookup()` Gets transaction manager finder.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheNoopJtaManager

    public CacheNoopJtaManager()

### Method Detail

#### checkJta

    public void checkJta()
                  throws IgniteCheckedException

Checks if cache is working in JTA transaction and enlist cache as XAResource if necessary.

Specified by:
  `checkJta` in class `CacheJtaManagerAdapter`
Throws:
  `IgniteCheckedException` - In case of error.

#### registerCache

    public void registerCache(CacheConfiguration<?,?> cfg)

Specified by:
  `registerCache` in class `CacheJtaManagerAdapter`
Parameters:
  `cfg` - Cache configuration.

#### tmLookup

    @Nullable
    public Object tmLookup()

Gets transaction manager finder. Returns Object to avoid dependency on JTA library. Used only in test purposes.

Specified by:
  `tmLookup` in class `CacheJtaManagerAdapter`
Returns:
  Transaction manager finder.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015